/******************************************************************************
* Synopsis:
*-----------------------
* Dependencies:
*
*-----------------------
* CVS:
* $Author: ruschi $
* $Date: 2004/11/21 17:01:37 $
* $Revision: 1.3 $ 
*-----------------------------------------------------------------------------
*  Copyright (C) 2004 by Thomas Ruschival                               
*  ruschi@doomgarage.de                                                 
*                                                                       
*  This program is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by 
*  the Free Software Foundation; either version 2 of the License, or    
*  (at your option) any later version.                                  
*                                                                       
*  This program is distributed in the hope that it will be useful,      
*  but WITHOUT ANY WARRANTY; without even the implied warranty of       
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        
*  GNU General Public License for more details.                         
*                                                                       
*  You should have received a copy of the GNU General Public License    
*  along with this program; if not, write to the                        
*  Free Software Foundation, Inc.,                                      
*  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.            
*******************************************************************************/
#ifndef CDINFOREADER_M3U_H
#define CDINFOREADER_M3U_H

#include <string>
#include <vector>

#include <iostream>
#include <cstdlib>
#include <fstream>

#include "cdinforeader.h"

using namespace std;

/**
* Reads the m3u Playlist format
*  @author Thomas Ruschival
*/
class CDInfoReader_m3u : public CDInfoReader {
/**
 * Public stuff
 */
	public:
	/**
	 * parse the file, split the lines, generate trackinfos
	 */
	void readCDInfo (CDInfo &content);

	/**
	 * find out if the reader is suitable for the
	 * source
	 * @param infile string filename
	 * @return fits int 0 if false, 1 if it fits
	 */
	int matches(string infile);

	/**
	 * Empty Constructor
	 */
	CDInfoReader_m3u(string infile);
	CDInfoReader_m3u();
};
#endif
