/******************************************************************************
// Synopsis:
//-----------------------
// Dependencies:
//
//-----------------------
// CVS:
// $Author: ruschi $
// $Date: 2004/11/21 17:01:37 $
// $Revision: 1.2 $ 
//-----------------------------------------------------------------------------
//  Copyright (C) 2004 by Thomas Ruschival                               
//  ruschi@doomgarage.de                                                 
//                                                                       
//  This program is free software; you can redistribute it and/or modify 
//  it under the terms of the GNU General Public License as published by 
//  the Free Software Foundation; either version 2 of the License, or    
//  (at your option) any later version.                                  
//                                                                       
//  This program is distributed in the hope that it will be useful,      
//  but WITHOUT ANY WARRANTY; without even the implied warranty of       
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        
//  GNU General Public License for more details.                         
//                                                                       
//  You should have received a copy of the GNU General Public License    
//  along with this program; if not, write to the                        
//  Free Software Foundation, Inc.,                                      
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.            
*******************************************************************************/

#ifndef CDINFOREADER_OTHER_H
#define CDINFOREADER_OTHER_H

#include <iostream>
#include <algorithm>	// used for filename UPPERCASE
#include <cctype>		// Conversion


#include "cdinforeader.h"

using namespace std;
/**
 * Stupid example to test dynamic loading
 */
class CDInfoReader_other : public CDInfoReader {
/**
 * Public stuff
 */
public:
	/**
 	* parse the file, split the lines, generate trackinfos
	*/
	void readCDInfo (CDInfo &content);

	/**
	 * find out if the reader is suitable for the
	 * source
	 * @param infile string filename
	 * @return fits int 0 if false, 1 if it fits
	 */
	int matches(string infile);

	
	/**
	 * Empty Constructor
	 */
	CDInfoReader_other(string infile);
	CDInfoReader_other();

};




#endif //CDINFOREADER_OTHER_H

